## cascading.pipe.cogroup
Interface Joiner

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  InnerJoin, LeftJoin, MixedJoin, OuterJoin, RightJoin

    public interface Joiner

extends Serializable

Interface Joiner allows for custom join strategies against a `CoGroupClosure`.

Method Summary
`Iterator<Tuple>` `getIterator(GroupClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
`int` `numJoins()` Returns the number of joins this instance can handle.

Method Detail

### getIterator

    Iterator<Tuple> getIterator(GroupClosure closure)

  Returns an iterator that joins the given CoGroupClosure co-groups.

  Parameters:
    `closure` - of type GroupClosure
  Returns:
    an iterator

### numJoins

    int numJoins()

  Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.

  Returns:
    an int

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.